arrangers: []
barcode: '196852489688'
catalog: CH3-005
categories:
- Game
category: Game
classification: Original Soundtrack
composers: []
covers:
- full: https://media.vgm.io/albums/79/126397/126397-81c0791591c0.webp
  medium: https://medium-media.vgm.io/albums/79/126397/126397-81c0791591c0.webp
  name: Front
  thumb: https://thumb-media.vgm.io/albums/79/126397/126397-81c0791591c0.webp
- full: https://media.vgm.io/albums/79/126397/126397-c825d7c4baec.webp
  medium: https://medium-media.vgm.io/albums/79/126397/126397-c825d7c4baec.webp
  name: Back
  thumb: https://thumb-media.vgm.io/albums/79/126397/126397-c825d7c4baec.webp
discs:
- disc_length: Unknown
  name: Disc 1
  tracks:
  - names:
      English: Super Dodge Ball Title
    track_length: Unknown
  - names:
      English: Pregame
    track_length: Unknown
  - names:
      English: Change Position
    track_length: Unknown
  - names:
      English: Match Start
    track_length: Unknown
  - names:
      English: Vs Japan
    track_length: Unknown
  - names:
      English: Vs England
    track_length: Unknown
  - names:
      English: Vs India
    track_length: Unknown
  - names:
      English: Vs Iceland
    track_length: Unknown
  - names:
      English: Vs China
    track_length: Unknown
  - names:
      English: Vs USSR
    track_length: Unknown
  - names:
      English: Vs Kenya
    track_length: Unknown
  - names:
      English: Vs All-Stars
    track_length: Unknown
  - names:
      English: Vs Shadow Team
    track_length: Unknown
  - names:
      English: World Champion
    track_length: Unknown
  - names:
      English: Ending
    track_length: Unknown
  - names:
      English: Versus Play
    track_length: Unknown
  - names:
      English: Bean Ball
    track_length: Unknown
  - names:
      English: Victory
    track_length: Unknown
  - names:
      English: Game Over
    track_length: Unknown
link: album/126397
lyricists: []
media_format: Vinyl (12" 33&frac13; rpm)
meta:
  added_date: 2023-02-03T12:22
  edited_date: 2023-06-12T22:37
  fetched_date: 2025-12-07T16:37
  ttl: 86400
  visitors: 900
name: Super Dodge Ball
names:
  en: Super Dodge Ball
  ja: 熱血高校ドッジボール部
  ja-latn: Super Dodge Ball
notes: 'Available in four vinyl color variants:

  - "Powershot" orange-in-clear with orange splatter

  - "Namennayo!" blue translucent with blue splatter

  - Black

  - "All-Stars" clear with blue and orange splatter (Ship to Shore exclusive)

  180g vinyl. Comes in a die-cut gatefold jacket. Includes art insert, sticker sheet
  and rubber slipmat.

  Music Composed by Kazuo Sawa

  Original Artwork by Koji Ogata'
organizations:
- &id001
  link: org/3300
  names:
    en: Channel 3 Records
    ja: Channel 3 Records
    ja-latn: Channel 3 Records
  role: publisher
performers: []
picture_full: https://media.vgm.io/albums/79/126397/126397-81c0791591c0.webp
picture_small: https://medium-media.vgm.io/albums/79/126397/126397-81c0791591c0.webp
picture_thumb: https://thumb-media.vgm.io/albums/79/126397/126397-81c0791591c0.webp
platforms:
- NES (Famicom)
products:
- link: product/2295
  names:
    en: Super Dodge Ball
    ja: 熱血高校ドッジボール部
    ja-latn: Nekketsu Koukou Dodgeball Bu
publish_format: Commercial
publisher: *id001
related: []
release_date: 2023-06
release_events: []
release_price:
  currency: USD
  price: 36.0
reprints: []
stores:
- link: http://ch3records.com/collections/vinyl/products/super-dodge-ball
  name: Channel 3 Records
- link: http://shiptoshoremedia.com/products/super-dodgeball
  name: Ship to Shore Media
vgmdb_link: https://vgmdb.net/album/126397?perpage=99999
votes: 0
